EDIT - bug #8188

Allow configuring hibernate properties via properties file
03/20/2019 02:54 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

To allow for more flexible configuration of test environments it would be great if the hibernate properties which are defined in the
WEB-INF/datasources/configurable.xml can be overwritten by defining the properties in a external source.

Associated revisions

Revision cab6ecd7 - 03/20/2019 03:10 PM - Andreas Kohlbecker

ref #8188 configurable.xml loads hibernate properties from src/test/resources/hibernate.properties - cdm-vaadin

Revision d12f4695 - 03/21/2019 02:46 PM - Andreas Kohlbecker

ref #8188 configurable.xml loads hibernate properties from src/test/resources/hibernate.properties - cdmlib

Revision 61c21b1e - 03/25/2019 02:13 PM - Andreas Kohlbecker

ref #8188 adding empty hibernate.properties for main to satisfy PropertiesFactoryBean in production mode

Revision f151a6f9 - 03/25/2019 02:48 PM - Andreas Kohlbecker

ref #8188 adding empty hibernate.properties for main to satisfy PropertiesFactoryBean in production mode

Revision 7c0edc2e - 04/15/2019 03:53 PM - Andreas Kohlbecker

ref #8188 configurable.xml loads hibernate properties from src/test/resources/hibernate.properties - cdmlib

Revision 56d71c15 - 04/15/2019 03:53 PM - Andreas Kohlbecker

ref #8188 adding empty hibernate.properties for main to satisfy PropertiesFactoryBean in production mode

History

#1 - 03/20/2019 02:54 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 04/11/2019 05:41 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

this should be solved

#3 - 04/23/2019 03:42 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

tested by running the selenide test class eu.etaxonomy.cdm.vaadin.ui.RegistrationUiTest
